$! Purpose:
$!	To mail out a series of files produced by VMS_SHARE to a news group
$!	(by default, VMSNET.SOURCES")
$!
$! Parameters:
$!
$!	P1 = file spec of package - "[directory]file" without VMS_SHARE suffix!
$!
$!	P2 = news subject line
$!
$!	P3 = news group to which files will be posted.
$!
$! Privileges:
$!	Whatever is necessary to access news and the relevant network.
$!
$!
$! Environment:
$!	Nothing special.  VMS_SHARE must exist of course in order to
$!	produce the software package.
$!
$! Revision History:
$!  1.000 Dick Munroe 07-Apr-91
$!	Original version created, based on PAKMAIL by Andy Harper.
$!
$!  1.001 Dick Munroe 29-Apr-91
$!	Change to news subject to force use of numbers something that can
$!	be seen by archiving packages.
$!
$
$
$! SET UP STANDARD EXIT CODES
$ ss$_normal= 1
$ ss$_abort = 44
$
$
$! MAKE SURE WE HAVE ALL THE PARAMETERS
$ if P3 .eqs. "" then p3 := vmsnet.sources
$
$package_location:
$ if P1 .nes. "" then $ goto end_package_location
$ read/prompt="_Enter package directory and base filename "/end=exit sys$command P1
$ goto package_location
$end_package_location:
$ P1 = f$parse(P1,,,,"SYNTAX_ONLY") - f$parse(P1,,,"VERSION")
$ if f$parse(P1,,,"TYPE") .nes. "." then $ P1 = P1 + "_"
$
$! SET UP USEFUL SYMBOLS
$ em="write sys$error ""%" +f$parse(f$environment("PROCEDURE"),,,"NAME")+""","
$ package = f$parse(P1,,,"NAME")
$
$
$! IS THERE A SET OF FILES THAT MATCHES THE SPECIFICATION??
$ if f$search("''P1'%%%-of-%%%.0") .eqs. "" then $ goto nopackage
$
$! LOOP AROUND EACH PART AND SEND
$ part = 0
$loop:
$   part = part+1
$   xxx = f$search(p1+"%%%-of-%%%.0",0)
$   if xxx .eqs. "" then exit ss$_normal
$   yyy = f$element(0,";",(xxx - p1))
$   subject = p2
$   if subject .eqs. "" then subject = package
$   subject = subject + ", part " + f$element(0,"-",yyy) + " OF " + f$element(2,"-",yyy) 
$   news/noscreen -
	post	/subject="''subject'"-
		/newsgroup=('p3') -
		/noedit -
	'xxx'
$   deck
YES
$   eod
$   if $status then $ goto loop
$   exit $status	! Return status from mail if it failed
$
$
$nopackage:
$  em "-E-NOPACKAGE, Cant find any files for ''package'."
$  exit ss$_abort
$abandon:
$  em "-E-ABANDON, One or more missing parts. Send abandoned."
$exit:
$  exit ss$_abort
